import _ from 'lodash';
import domUtils from '@/utils/domUtils'
/**
 * 用法：v-inner-class="{'.target':'hover'}"
 */
export default {
  name: 'inner-class',
  directive: (el, { value: targetClasses }) => {
    if (_.isObject(targetClasses)) {
      _.each(targetClasses, (v, k) => {
        const innerEls = el.querySelectorAll(k)
        _.each(innerEls, iel => domUtils.addClass(iel, v))
      })
    }
  }
}
