import _ from 'lodash';
/**
 * 全局事件
 */
export default {
  install(Vue, options) {
    const eventHub = new Vue()
    //发布
    //api和vue的$emit一模一样
    Vue._eventHub = eventHub;
    Vue.prototype.$pub = (...args) => {
      eventHub.$emit.apply(eventHub, _.toArray(args));
    }

    //订阅
    //api和vue的$on一模一样
    Vue.prototype.$sub = (...args) => {
      eventHub.$on.apply(eventHub, _.toArray(args));
    }
    //取消订阅
    //api和vue的$off一模一样
    Vue.prototype.$unsub = (...args) => {
      eventHub.$off.apply(eventHub, _.toArray(args));
    }
  }
};
