import drag from './drag';
import gridAutoSize from './grid-autosize';
import modalExt from './modal-ext';
import innerClass from './inner-class';

export default {
  install(Vue, options) {
    Vue.directive(drag.name, drag.directive);
    Vue.directive(gridAutoSize.name, gridAutoSize.directive);
    Vue.directive(modalExt.name, modalExt.directive);
    Vue.directive(innerClass.name, innerClass.directive);
  }
}
