import moment from 'moment';
export const filterName = 'moment';
export const filter = (value, ...args) => {
  let date = moment(value);
  if (!date.isValid()) return value;

  let format = args[0];
  //如果第二个参数是数组那么表示执行的moment的方法
  //方法名为最后一个参数
  if (Object.prototype.toString.apply(format) === '[object Array]') {
    let methodName = args.pop();
    if (methodName) {
      return date[methodName].apply(date, args);
    }
  } else {
    return moment(value).format(format);
  }
  return value;
}
